diff --git a/cmake/Modules/GetLuaJIT.cmake b/cmake/Modules/GetLuaJIT.cmake
index 0ab1747..4cf7644 100644
--- a/cmake/Modules/GetLuaJIT.cmake
+++ b/cmake/Modules/GetLuaJIT.cmake
@@ -7,6 +7,12 @@ else()
   set(DEFAULT_TERRA_LUA "luajit")
 endif()
 
+find_package(PkgConfig)
+pkg_check_modules(LUAJIT REQUIRED luajit IMPORTED_TARGET GLOBAL)
+add_library(LuaJIT ALIAS PkgConfig::LUAJIT)
+set(LUAJIT_EXECUTABLE "/usr/bin/luajit")
+return()
+
 set(TERRA_LUA "${DEFAULT_TERRA_LUA}" CACHE STRING "Build Terra against the specified Lua implementation")
 
 if(TERRA_LUA STREQUAL "luajit")
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -112,6 +112,7 @@
     ${PROJECT_BINARY_DIR}/include/terra
     ${LLVM_INCLUDE_DIRS}
     ${CLANG_INCLUDE_DIRS}
+    ${LUAJIT_INCLUDE_DIRS}
 )
 
 if(WIN32)
@@ -291,6 +292,7 @@
   PRIVATE
     ${PROJECT_BINARY_DIR}
     ${PROJECT_BINARY_DIR}/include/terra
+    ${LUAJIT_INCLUDE_DIRS}
 )
 
 if(WIN32)
